set_blender_mode_ex(3)

NAME
set_blender_mode_ex - An even more complex version of set_blender_mode(). Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_blender_mode_ex(BLENDER_FUNC b15, b16, b24, b32, b15x, b16x, b24x, int r, g, b, a);

DESCRIPTION
Like set_blender_mode(), but allows you to specify a more complete set of blender routines. The b15, b16, b24, and b32 routines are used when drawing pixels onto destinations of the same format, while b15x, b16x, and b24x are used by draw_trans_sprite() and draw_trans_rle_sprite() when drawing RGBA images onto destination bitmaps of another format. These blenders will be passed a 32-bit x parameter, along with a y value of a different color depth, and must try to do something sensible in response.

SEE ALSO
set_blender_mode(3), set_alpha_blender(3)